<?xml version="1.0"?>
<!--
  有关如何配置 ASP.NET 应用程序的详细信息，请访问
  http://go.microsoft.com/fwlink/?LinkId=169433
    <add assembly="MySql.Data, Version=5.1.5.0, Culture=neutral, PublicKeyToken=C5687FC88969C44D"/>
    <compilation debug="true" targetFramework="4.0" />
     <httpRuntime requestValidationMode="2.0" />
    限定关键字
    软件名称
    所属单位
    版本
    上传文件夹
  repoxy: aspx.qhdedu.com    localhost
  httpstr:202.63.165.85      localhost
  -->
<configuration>
  <appSettings>
    <!--  SQLBINPATH：WINDOWS系统中mysql路径，备份时用到 -->
    <add key="SQLBINPATH" value="E:\mysql5.7\bin"/>
    <add key="mnxdzc" value="net user|varchar|/add|select|count|asc|char|mid|insert|delete|drop|truncate|frame|script|%|-|and|or|cast|declare|mouseover|mousemove|alert|prompt|'|root|onmouse|..|web-inf|../|CR|LF"/>
    <!-- mnlsql：mysql连接字符串  true 用webconfig中的配置   false用程序中的配置（正式版可用，安全可靠）但不可去掉！ -->
    <add key="mnlsql" value="false"/>
    <!-- mnconn：连接字符串
          1|localhost|帐号|密码|数据库名称|windows下mysql的bin地址
         其中：windows下mysql的bin地址   在liunx 时写成：liunx 即可
         为安全考虑，正式版时，最好从webconfig中去掉
    -->
    <add key="mnconn" value="1|localhost|zujyxy201923145|zpjyxy@12345ZXZ|kjyxy20191234|D:/mysql5.7/bin/"/>

    <!-- mwfmail：外发信配置  true 用webconfig中的配置   false用程序中的配置（正式版可用，安全可靠）但不可去掉！ -->
    <add key="mwfmail" value="true"/>
    <add key="mwffrom" value="hevttc888@163.com"/>
    <add key="mwfhost" value="smtp.163.com"/>
    <add key="mwfpass" value="hevttc1234abcd"/>
    <add key="mwfsubj" value="易得优学生食堂"/>

    <add key="mnxtmc" value="易得优餐饮库管系统"/>
    <add key="mnxtdw" value="易得优学生食堂"/>
    <add key="mnvers" value="V1.0(20190610) 版    20190610-20190703"/>
    <!-- mnpath：提示信息管理上传路径 -->
    <add key="mnpath" value="files"/>
  <!-- httpstr：repoxy  本地用：localhost  服务器端用如：crhwms.qhdedu.net  -->
    <add key="repoxy" value="localhost|crhwms.qhdedu.net"/>
    <!-- httpstr：IP地址  本地用：localhost  服务器端用IP如：106.75.53.220  -->
    <add key="httpstr" value="localhost|crhwms.qhdedu.net|106.75.53.220"/>
    <!-- ospath：未用 -->
    <add key="ospath" value="/var/www/aspx.qhdedu.com/mydocs/"/>

  </appSettings>
  <system.web>
    <httpRuntime enableVersionHeader="false" requestValidationMode="2.0" requestPathInvalidCharacters="" maxRequestLength="102400 "/>
    <pages validateRequest="false" enableSessionState="true" enableViewState="true" controlRenderingCompatibilityVersion="3.5" clientIDMode="AutoID"/>
    <customErrors mode="RemoteOnly" defaultRedirect="/zerror.aspx">
      <error statusCode="404" redirect="/zerror.aspx?bz=nofile"/>
      <error statusCode="403" redirect="/zerror.aspx?bz=403"/>
      <error statusCode="500" redirect="/zerror.aspx?bz=500"/>
    </customErrors>
    <globalization requestEncoding="utf-8" responseEncoding="utf-8" fileEncoding="utf-8" uiCulture="zh-CN" culture="zh-CN"/>
    <compilation targetFramework="4.0">
      <!--
        windows 2008   gb2312
         <globalization requestEncoding="gb2312" responseEncoding="gb2312" fileEncoding="utf-8"  uiCulture="zh-CN"  culture="zh-CN"/>
         <globalization fileEncoding="utf-8" requestEncoding="gb2312" responseEncoding="gb2312"   uiCulture="zh-CN"  culture="zh-CN" />
              <customErrors mode="RemoteOnly" defaultRedirect="/ZError.aspx"  >
              on=全为自定义信息    off=全为程序错误      RemoteOnly=发布后，远程为自定义信息
              
              compilation debug="true" 
              false 用于已经发布的项目，它不需要再调试了, 一般开发是用true, 发布正式项目用false.
               <remove statusCode="404" subStatusCode="-1" /> 
               <customErrors mode="Off"/>
                <customErrors mode="RemoteOnly" defaultRedirect="/ZError.aspx">
      <error statusCode="404" redirect="/ZError.aspx?bz=nofile"/>
      <error statusCode="403" redirect="/ZError.aspx?bz=403"/>
      <error statusCode="500" redirect="/ZError.aspx?bz=500"/>
    </customErrors>
    
        -->
      <assemblies>
        <add assembly="MySql.Data, Version=5.1.5.0, Culture=neutral, PublicKeyToken=C5687FC88969C44D"/>
      </assemblies>
    </compilation>
  </system.web>
  <system.data>
    <DbProviderFactories>
      <add name="MySQL Data Provider" description="ADO.Net driver for MySQL" invariant="MySql.Data.MySqlClient" type="MySql.Data.MySqlClient.MySqlClientFactory, MySql.Data"/>
    </DbProviderFactories>
  </system.data>
  <system.webServer>
    <!--
       在配置文件中将OPTIONS方法禁用:    <add name="Access-Control-Allow-Headers" value="*" />
           <add name="Access-Control-Allow-Methods" value="GET, PATCH, POST, PUT, DELETE, OPTIONS"/>
        <add name="Access-Control-Allow-Headers" value="AuthToken, Authorization, Origin, Content-Type, Accept, X-Requested-With"/>
        <add name="Access-Control-Allow-Origin" value="*"/>
        -->
    <httpProtocol>
      <customHeaders>
        <add name="X-Frame-Options" value="SAMEORIGIN"/>
      </customHeaders>
     
    </httpProtocol>
    <defaultDocument>
      <files>
        <add value="index.aspx"/>
      </files>
    </defaultDocument>
    <security>
      <requestFiltering>
        <requestLimits maxAllowedContentLength="1000000000"/>
        <verbs allowUnlisted="false">
          <add verb="GET" allowed="true"/>
          <add verb="POST" allowed="true"/>
          <add verb="HEAD" allowed="true"/>
        </verbs>
      </requestFiltering>
    </security>
    <!--
       在配置文件中将OPTIONS方法禁用:
        -->
    <validation validateIntegratedModeConfiguration="false"/>
  </system.webServer>
</configuration>